using System;
using System.Text;

namespace jej
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine()); // 84 254 23
            for (int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split();
                long n = long.Parse(s[0]);
                long m = long.Parse(s[1]);
                long k = long.Parse(s[2]);
                long min = 0, j;
                for (j = 1; j <= n / k; j++)
                {
                    min += j * k;
                }
                min += ((n % k) * j);
                if (m >= min) Console.WriteLine("Tak");
                else Console.WriteLine("Nie");
            }
        }
    }
}